Subject: Re: [RFC] [DCCP]: Deprecate SOCK_DCCP in favour of SOCK_DGRAM

From: Ulrich Drepper <[email-masked]>
Date: Wed, 14 May 2008 11:07:11 -0700

Rémi Denis-Courmont wrote:
> Yeah but I don't think ai_socktype == SOCK_STREAM and ai_protocol == 0 should 
> return IPPROTO_SCTP. Me fears this will break to many TCP applications in the 
> field.

That's not happening.  For SOCK_STREAM TCP is returned.

On the other hand, in the moment, for SOCK_SEQPACKET I return SCTP.  If
this is not the preferred solution let me know now.

- --
➧ Ulrich Drepper ➧ Red Hat, Inc. ➧ 444 Castro St ➧ Mountain View, CA ❖